package dto

import (
	"58team_blog/internal/application/queries"
	"58team_blog/internal/interfaces/api/responses"
)

func ResponseFormPostFindByIdResult(result *queries.PostFindByIdResult) responses.PostResponse {
	res := result.Result
	return responses.PostResponse{
		Id:          res.Id.String(),
		UserId:      res.UserId.String(),
		Title:       res.Title,
		Description: res.Description,
		Content:     res.Content,
		CreatedAt:   res.CreatedAt,
		UpdatedAt:   res.UpdatedAt,
	}
}
